blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
1dabe771d8644a70a114b3c088e65c3dbb1c485b | Shell | brieuclambert/airbyte | /resources/examples/airflow/up.sh | UTF-8 | 594 | 2.671875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
cd ../../..
docker-compose down -v
docker-compose up -d
cd resources/examples/airflow || exit
docker-compose down -v
docker-compose up -d
echo "Access Airbyte at http://localhost:8000 and set up a connection."
echo "Enter your Airbyte connection ID: "
read connection_id
docker exec -ti airflow_webse... | true |
8edbd9e8ad2c8cf20b9f531642aa33997077c1c9 | Shell | kamilpek/systemy | /zad3.sh | UTF-8 | 110 | 2.65625 | 3 | [] | no_license | #!/bin/bash
liczba=$#
paramter=$1
if [ $liczba -eq 3 ] && [ $1 -eq -f]
then
echo "Tak"
else
echo "Nie"
fi
| true |
02893c3ad178c731edffb93066c70ffdb149bfba | Shell | heimareed/yutWebsAgent | /demo_howto_customize_by_goahead_mk/build.sh | UTF-8 | 382 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
goahead_src_dir="../goahead_src"
goahead_src_projects_dir="../goahead_src/projects"
build_dir="../build"
mk_filename="yut_webs_agentdemo.mk"
if [ ! -d $goahead_src_projects_dir ]; then
echo "ERROR: " $goahead_src_projects_dir "is NOT exist!"
exit 1
fi
sudo cp $mk_filename $goahead_src_projects_dir... | true |
906dfdd88170243cdbc9791ac2cb5730c007ffc8 | Shell | CMSCompOps/MonitoringScripts | /metrics/siteReadiness/load_data.sh | UTF-8 | 547 | 3.421875 | 3 | [] | no_license | #!/bin/bash
# go to the path that contain this script
cd $(dirname $(readlink -f "${BASH_SOURCE[0]}"))
source ../../init.sh
OUT=$SSTBASE/output/metrics/siteReadiness
if [ ! -d "$OUT" ]; then
mkdir -p $OUT
fi
d=$(<lastdate.txt)
enddate=$(date -I --utc)
echo "Deleting old file"
rm -rf /afs/cern.ch/user/c/cmssst/ww... | true |
30a1c4e60ebc2a0fecd94702b44406244646ac29 | Shell | mba5157/opbb10 | /hookflash-libs/boost/rim-build/build.sh | UTF-8 | 3,542 | 4.125 | 4 | [
"BSD-2-Clause-Views",
"BSL-1.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
# ensure required BBNDK env variables are set
: ${QNX_HOST:?"Error: QNX_HOST environment variable is not set."}
: ${QNX_TARGET:?"Error: QNX_TARGET environment variable is not set."}
# Get absolute path of script
SCRIPT_PATH=$PWD/$BASH_SOURCE
SCRIPT_DIR=`dirname $SCRIPT_PATH`
# Set to Python source locati... | true |
99ca6b08a0b55b4eeb27796eb45f0a1b7fac3816 | Shell | nettan20/widget.dart | /bin/copy_out.sh | UTF-8 | 933 | 3.4375 | 3 | [
"BSD-2-Clause",
"BSD-2-Clause-Views"
] | permissive | #!/bin/bash -x
BUILD_DIR=web/out
WEB_DIR=example
rm -rf $WEB_DIR
mkdir -p $WEB_DIR
find $BUILD_DIR -maxdepth 1 -type f -print0 | xargs -0 -I % cp % $WEB_DIR
rm $WEB_DIR/*.dart
# Since we're using the JS file directly, remove the dart.js helper
TO_FIND='packages\/browser\/dart.js"'
COMMAND2=/$TO_FIND/d
# Remove import... | true |
2135e86ad59a9ca84e642965105ca3543c408c10 | Shell | MedvidekPu/cz-region-boundaries | /scripts/refresh-data.sh | UTF-8 | 822 | 2.828125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
curl -X POST 'https://lz4.overpass-api.de/api/interpreter' -d@overpass-query.txt | osmtogeojson > src.geojson
node prepare-gps-data.js
PSCSOURCE='https://www.ceskaposta.cz/documents/10180/3738087/xls_pcobc.zip/50617e56-6e9a-4335-9608-96fec214e6ef'
OKRESFILE="../data/zip/county-region.csv"
ZIPFILE="src.zip"... | true |
1a66682c890d2296393f1489204bb7d3c1374ba0 | Shell | bandgeekndb/imageNow | /Bash/MyCommonAppSearch.sh | UTF-8 | 2,202 | 3.21875 | 3 | [] | no_license | #!/bin/bash
#source /export/$(hostname -s)/inserver6/bin/setenv.sh
#cd /export/$(hostname -s)/inserver6/script
#cd /export/$(hostname -s)/inserver6/script
#echo `Date` >> /export/$(hostname -s)/inserver6/log/running_log-CommonAppSearch
#intool --cmd run-iscript --file /export/$(hostname -s)/inserver6/script/CommonAp... | true |
d9f49c5deba9072c0fbc068cf2db4a35c0ca886b | Shell | kehanlu/server-docker | /init.sh | UTF-8 | 990 | 2.765625 | 3 | [] | no_license | echo `id`
# install zsh
printf "Y\n" | sh -c "$(wget https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O -)"
# install pyenv
curl -L https://github.com/pyenv/pyenv-installer/raw/master/bin/pyenv-installer | bash
echo '\nexport PYENV_ROOT="$HOME/.pyenv"\nexport PATH="$PYENV_ROOT/bin:$... | true |
66d17688e17ca1bb7bc1ab49ad4699b2bd72d649 | Shell | ttp55/learnshell | /chengfa.sh | UTF-8 | 107 | 2.875 | 3 | [] | no_license | #!/bin/bash
for i in $(seq 9)
do
for j in $(seq $i)
do
echo -n "$i*$j=$(($i*$j)) "
done
echo ""
done
| true |
ee0f52c3877b5acd2d6d4bdf02671c6b9c910152 | Shell | ci2c/code | /scripts/renaud/FMRI_PreprocessNIAK.sh | UTF-8 | 4,641 | 3.265625 | 3 | [] | no_license | #! /bin/bash
if [ $# -lt 14 ]
then
echo ""
echo "Usage: FMRI_PreprocessNIAK.sh -sd <subj_dir> -subj <name> -TR <value> -N <value> -a <name> -fwhm <value> -o <output> "
echo ""
echo " -sd : Path to subjects "
echo " -subj : subject name (need file: fmri/EPI... | true |
0024e0ff5e49ce2a3a5c9c19813f771b72b36e4e | Shell | ozgurgul/hcp-demo-env-aws-terraform | /etc/postcreate_core.sh_template | UTF-8 | 1,076 | 3.328125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e # abort on error
set -u # abort on undefined variable
source "./scripts/variables.sh"
source "./scripts/functions.sh"
print_header "Installing HPECP CLI to local machine"
export HPECP_CONFIG_FILE=generated/hpecp.conf
export HPECP_LOG_CONFIG_FILE=${PWD}/generated/hpecp_cli_logging.conf
pip3 uninsta... | true |
54250a014b6921734b97c8f336ead208e0cf46ce | Shell | navikt/ab-test | /actions/build/build-test-branches.sh | UTF-8 | 442 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
git branch -r | grep --line-buffered $TEST_BRANCH_PREFIX | awk -v tbp=$TEST_BRANCH_PREFIX '{n=split($0,a, tbp); print a[n]}' | xargs -L1 >> ab-test-branches.tmp
while read -r l; do
if [ ! -z $l ]; then
git checkout "$TEST_BRANCH_PREFIX$l";
npm install && npm run $BUILD_SCRIPT;
mkdir tmp/"$l"... | true |
1eb729915ee1697c4c96a70749b94a38ec447302 | Shell | maniaabdi/system-config | /bin/daily-build-ww | UTF-8 | 1,662 | 3.140625 | 3 | [] | no_license | #!/bin/bash
exec 9>~/.logs/$(basename $0).lock
set -e
function die() {
echo Error: "$@"
exit -1
}
if ! flock -n 9; then
die "daily-build-ww already running, can not lock ~/.logs/$(basename $0).lock"
fi
cd ~/src/github/lww/
. .gitx
git reset --hard
git pull
version=$(
git log -1 |perl -e '
$x = j... | true |
040365532494f6850960630f07eff57420d9d210 | Shell | walker233/updateWordPressUrl | /autoUpdateWpName | UTF-8 | 1,566 | 3.875 | 4 | [] | no_license | #!/bin/bash
#Name: autoUpdateWpName
#Desc: This script is intended to be run from root at startup.
#Original command
#php wp-cli.phar search-replace 'http://ec2-52-26-132-226.us-west-2.compute.amazonaws.com' 'http://ec2-52-25-180-240.us-west-2.compute.amazonaws.com' --path=/var/www/html --skip-columns=guid
USER="ec2-... | true |
03b553489589bb0ee2225997f95fb4b86842e893 | Shell | conmarti/ubuntu-dev | /src/ubuntu/install/postman.sh | UTF-8 | 275 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
### every exit != 0 fails the script
set -e
echo "Install Postman"
wget https://dl.pstmn.io/download/latest/linux64 -O postman.tar.gz
tar -xzf postman.tar.gz -C /usr/local/etc/
rm postman.tar.gz
ln -s /usr/local/etc/Postman/Postman /usr/local/bin/postman | true |
1537cd0ea55629f1f64f3713c57dfbfc1b9dee8f | Shell | JoeMido/networking-midonet-el | /package.sh | UTF-8 | 1,262 | 2.65625 | 3 | [] | no_license | #!/bin/bash
# Copyright (C) 2015 Midokura SARL.
# All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# U... | true |
9dfe50a5436dcce757d682030f7c7b3b2f96db5f | Shell | kaypee0/intern-work | /setup/exp-stop.sh | UTF-8 | 374 | 3.265625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Launch the explorer
function usage {
echo "Usage: ./exp-start.sh "
echo "Launches the Explorer."
echo "Fails if explorer is already up!!!"
}
DIR="$( which $BASH_SOURCE)"
DIR="$(dirname $DIR)"
cd $DIR/../devenv
echo "===>Stopping explorer....please wait"
docker-compose -f ./compose/docker... | true |
661d88a12770c87b6fee4651a6213e5ef246ddc1 | Shell | oslet/doc | /ops/tools/sh/checkhd.sh | UTF-8 | 264 | 2.796875 | 3 | [] | no_license | #!/bin/bash
cat /proc/cpuinfo | grep "physical id"|sort|uniq
if [ "$?" == "1" ]; then
echo "VM"
fi
cat /proc/cpuinfo | grep "model name" |sort|uniq|awk -F ":" '{print $2}'
expr `cat /proc/meminfo | grep MemTotal | awk -F ":" '{print $2}' |awk '{print $1}'` / 1024
| true |
13b3b92dc6d0a25bd33aac90ee092ebcc7b88288 | Shell | omsai/dREG | /dREG_paper_analyses/train_svm/erna_regression/makePIQ_starch.bsh | UTF-8 | 1,691 | 2.953125 | 3 | [] | no_license | #!/usr/bin/bash
#Makes STARCH file for PIQ
piq_path=/home/cgd24/storage/home/bin/thashim-piq-single-b73d9ff9853d/output
function makestarch {
## Get score file ready.
cat $piq_path/$1-$2-calls.all.csv $piq_path/$1-$2.RC-calls.all.csv | grep '^""' -v | awk -F "," 'BEGIN{OFS="\t"} {print $3,$4,$5,$6,$7}' > tmp
ca... | true |
330bdb4c9016c179187b0caca174feb09e396487 | Shell | uc-cdis/cirrus | /release_notes.sh | UTF-8 | 658 | 2.859375 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
pip install git+https://github.com/uc-cdis/release-helper.git@master#egg=gen3git
gen3git --repo $TRAVIS_REPO_SLUG --from-tag $(git describe --tags --abbrev=0 --match=[0-9]* --exclude=$TRAVIS_TAG) gen --text --markdown --to-tag $TRAVIS_TAG
URL=$(curl -s -H "Authorization:token $GH_TOKEN" https://api... | true |
7ca0a2a8fcb246a50c20ad712b9dbb60a66e4d60 | Shell | YounilityInc/bootstrap-legacy-sass | /test/node_sass_compile_test.sh | UTF-8 | 326 | 2.609375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# Test compilation with node-sass binary
mkdir -p tmp/node-sass
node-sass assets/stylesheets/_bootstrap-legacy.scss -o tmp/node-sass/bootstrap-legacy.css && \
node-sass assets/stylesheets/bootstrap-legacy/_theme.scss -o tmp/node-sass/bootstrap-legacy-theme.css || \
(echo "node-sass compilation failed" && ex... | true |
3a2d217cba25a699abd46fdad519b6dd333b5d36 | Shell | nublic/Nublic | /build | UTF-8 | 9,111 | 3.234375 | 3 | [] | no_license | #!/bin/bash
# For .deb packages
export DEBFULLNAME='Nublic Packaging Team'
export DEBEMAIL='packaging@nublic.com'
export DEBKEY=4EEA5986
export DEBREVISION=`date +%F-%H-%M`
export INITIAL_TIME=`date +%s`
# Used directories
export INITIAL_DIR=`pwd`
export TARGET_DIR="${INITIAL_DIR}/target"
export REPO_DIR="${TARGET_DI... | true |
f7ce0103584b38864cf33821f67cd60dabf40e0f | Shell | youtube/cobalt | /starboard/evergreen/testing/linux-x64x11/start_cobalt.sh | UTF-8 | 1,345 | 3.875 | 4 | [
"Apache-2.0",
"BSD-3-Clause"
] | permissive | #!/bin/bash
#
# Copyright 2021 The Cobalt Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required ... | true |
c892b0a04117e68da2151f49af8f40a0d889e925 | Shell | jmg1297/thesis | /bl6_strg_merge/src/get_novel_exons.sh | UTF-8 | 358 | 2.765625 | 3 | [] | no_license | #!/bin/bash
for d in $(find data/split_by_gffcmp_class -type d | sed '1d');
do
MRG=$(echo $d | cut -d/ -f3)
mkdir data/novel_exons/$MRG
cat $d/novel_non-coding.gtf | grep -P "\sexon\s" | awk '{print $1,$4,$5,$12,$14,0,$7}' | sed -r -e 's/[\";]//g' -e 's/ /./4' -e 's/^/chr/g' -e 's/\s+/\t/g' | sort -k1,1 -k2,2n > data/... | true |
7de05a62a52232ae906f47c7a0e68b79628ed0f6 | Shell | stahta01/my-MSYS2-packages | /linux-cross-glibc/PKGBUILD | UTF-8 | 4,050 | 3.4375 | 3 | [
"BSD-3-Clause"
] | permissive | # Contributer: Tim Stahlhut <stahta01@gmail.com>
# Fork of: https://www.archlinux.org/packages/community/any/aarch64-linux-gnu-glibc/
_targets="aarch64-linux-gnu"
_run_helper_script=yes # Set to no once linux-cross-glibc and linux-cross-gcc packages have been built and installed
_realname=glibc
_mingw_suff=li... | true |
cfbf94902b29f617b332659a53ca66d822d4bbf5 | Shell | corretto/amazon-corretto-crypto-provider | /tests/ci/run_accp_overkill.sh | UTF-8 | 758 | 3.328125 | 3 | [
"Apache-2.0",
"BSD-3-Clause",
"OpenSSL"
] | permissive | #!/bin/bash
set -exo pipefail
# Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0
# Testing non-FIPS is the default.
testing_fips=false
while [[ $# -gt 0 ]]; do
case ${1} in
--fips)
testing_fips=true
;;
*)
echo "${1} is not supported.... | true |
1f5bfd78763f76599f911b18778dab600c819448 | Shell | mmanumos/holberton-system_engineering-devops | /0x05-processes_and_signals/5-kill_me_now | UTF-8 | 200 | 2.71875 | 3 | [] | no_license | #!/usr/bin/env bash
# Kills the process of the before task, searching the id by the full pattern used in the console, in this case the name file
PID=$(pgrep -f '4-to_infinity_and_beyond')
kill "$PID"
| true |
a0841a5898290c08a0a6b0eba7efd281e2665873 | Shell | r-tty/radios | /Misc/boot/make-floppy.sh | UTF-8 | 340 | 2.8125 | 3 | [] | no_license | #! /bin/sh
BOOTDIR="/boot/RadiOS"
KERNEL="rmk586.rdm.gz"
MODULES="libc.rdm taskman.rdm monitor.rdm console.rdx x-ray.rdx"
DRIVE="x:"
DIR="boot/radios"
MTOOLSRC="$HOME/.mtoolsrc"
# Start here
grep -q "drive $DRIVE" $MTOOLSRC && (
cd $BOOTDIR
mcopy -o $KERNEL $DRIVE/$DIR
cd modules
mcopy -o $MODULES $D... | true |
47da11b9d3a178e0f2a72282222e8cf899eee9d8 | Shell | aarontp/l2tdevtools | /utils/run_linter.sh | UTF-8 | 1,553 | 3.890625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# Script that runs the linter on all files.
EXIT_FAILURE=1;
EXIT_SUCCESS=0;
DIFFBASE="upstream/master";
SHOW_HELP=0;
if ! test -f "utils/common.sh";
then
echo "Unable to find common scripts (utils/common.sh).";
echo "This script can only be run from the root of the source directory.";
exit ${EXIT_... | true |
140d36488b0dc1cf8677fbfec1ebebbc51b1f938 | Shell | zeroknowledgediscovery/cognet | /examples/mpi_tmp/mpi_run.sh | UTF-8 | 289 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
YEARS='2016'
# nodes requested
NODES=4
# time requested
T=2
NUM='all'
LAUNCH='../launcher.sh'
for yr in `echo $YEARS`
do
echo $yr
./mpi_setup.sh $yr $NODES $NUM tmp_"$yr"
$LAUNCH -P tmp_"$yr" -F -T $T -N "$NODES" -C 28 -p broadwl -J MPI_TMP_1"$yr" -M 56
done
rm tmp_"$yr"*
| true |
3a737abcc96fe9256e18b1137a4a38b1797a7bd3 | Shell | kant/RuDaS | /other/old/run-simple-cwa.sh | UTF-8 | 764 | 2.75 | 3 | [] | no_license | #!/bin/bash
DIR=`dirname $0`
SYSDIR=$DIR/../systems
DATA=$DIR/../data/simple-cwa/
for NAME in NNCWA-XS-1 NNCWA-S-2-1 NNCWA-S-2-2
do
#SYSTEM=Neural-LP
#source activate $SYSTEM
#python $SYSDIR/$SYSTEM/src/main.py --datadir=$DATA/$SYSTEM/$NAME --exps_dir=$DIR/../output/simple-cwa/$SYSTEM --exp_name=$NAME > $DIR/../ou... | true |
503f3aed9cb14c0dc70984648c95ba4dba4e519f | Shell | for2ando/sync-android-apps | /saa-get-apps | UTF-8 | 9,015 | 3.828125 | 4 | [] | no_license | #!/bin/bash
pname=$(basename "$0")
dname=$(dirname "$0")
case "$dname" in /*);; *) dname="$(pwd)/$dname";; esac
source "$dname/saa-environ.sh"
xpager=$(which pageless 2>/dev/null || ${PAGER:-less})
usage="$pname [{-t|--target} {apk|ab|apk,ab}] [-l|--list|-q|--quiet|-v|--verbose|-n|--dryrun|--log|--nolog]
$pname {-h|--h... | true |
2b14541c3ed5f5fd0c89aecb542cce62ee7fd0f8 | Shell | kuiba1949/conky-weather | /bin/conky-weather.runonce | UTF-8 | 4,601 | 3.515625 | 4 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# coding: utf-8
# updated: 2018-3-03, by Careone
# 天气更新周期变更:由每小时更新一次,调整为每20分钟更新一次
# filename: conky-weather.runonce
### head ###
APPNAME="conky-weather.runonce"
APPVER="2.1"
USER_CONKYRC="$HOME/.conkyrc"
USER_PROFILE="$HOME/.profile"
AUTOSTART_DIR="$HOME/.config/autostart"
#FEED_DIR="$HOME/.feed"
CMD01=... | true |
2b046d74d2220a22af5611be4ee7bce6ad1fa3e5 | Shell | yiochen/Pynote | /install | UTF-8 | 465 | 3.375 | 3 | [] | no_license | #!/usr/bin/env bash
install_path="/usr/local/"
python_path=$(which python)
# copy source code to /usr/local/src
mkdir ${install_path}src/Pynote
cp -r pynote/ ${install_path}src/Pynote/pynote
# make some change to main file, and make the file executable
cp pynote.py main
sed -i "1 i #!${python_path}" main
chmod 755 m... | true |
2836e623ce4eb6abb19812b1f8d536c89b99a9ef | Shell | bdimych/pdb-scripts | /pdb-lib.sh | UTF-8 | 861 | 3.484375 | 3 | [
"MIT"
] | permissive |
function mydate { date +%F-%T; }
function log { echo -e $(mydate): LOG: "$@"; }
function error { echo -e $(mydate): ERROR: "$@"; exit 1; }
function warning { echo -e $(mydate): WARNING: "$@"; }
function _tee_progress {
if [[ $copy_progress_files_to ]]
then
tee -i -a "$pf" "$copy_progress_files_to/${pf##*/}"
else... | true |
03b0dfa793c523b8f636f0fbecdec1ec68acda72 | Shell | gm-mmurillo/aws-cli-get-session-token | /aws_mfa.sh | UTF-8 | 2,859 | 3.859375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
# INPUT PARAMETERS
# origin_profile (prompt iniailly, store in config)
# mfa_profile (prompt-only)
# mfa_serial (prompt initially, store in config)
# mfa_token_code (prompt-only)
# Dependencies: awscli
test ! $(command -v aws) && echo "awscli is required, please install and ensure the binary is in y... | true |
b830a073d31e9ae706cb4ed56a816d1a08ec12f5 | Shell | Ogaday/Resources | /dev/remote-run.sh | UTF-8 | 738 | 3.234375 | 3 | [] | no_license | #!/bin/bash
# Script to remotely start a CFD simulation in a screen on a given host.
# Inputs are eg.
# casepath=/path/to/case/files
# genid=10
# solid=15
# remotehost=blue02
echo "args are $@"
args=("$@")
casepath=${args[0]}
genid=${args[1]}
solid=$genid.${args[2]}
remotehost=${args[3]}
echo "casepath is $casepath"
... | true |
cb44e85dc3a123753cc178722bc929819025c525 | Shell | Joel-a-dev/jenkins-ci-git-info | /generate-init-py.sh | UTF-8 | 427 | 3.328125 | 3 | [] | no_license | #!/bin/bash
# script to generate the api_server/___init___.py file
# fetch tags from repo
git fetch --tags
# set variables
GIT_COMMIT=$(git rev-parse HEAD)
GHE_VERSION=$(git describe --tags --abbrev=0)
BUILD_TIMESTAMP=$(date +'%Y-%m-%dT%H:%M:%SZ')
# Create ___init___.py file
echo "
import os
__version__ = '$GHE_... | true |
3723c889736c85d0f1ff27968d133cac4ece61c4 | Shell | jeanmanguy/prezto | /runcoms/zshrc | UTF-8 | 1,134 | 2.84375 | 3 | [
"MIT"
] | permissive | #
# Executes commands at the start of an interactive session.
#
# Authors:
# Sorin Ionescu <sorin.ionescu@gmail.com>
#
# Source Prezto.
if [[ -s "${ZDOTDIR:-$HOME}/.zprezto/init.zsh" ]]; then
source "${ZDOTDIR:-$HOME}/.zprezto/init.zsh"
fi
zstyle ':prezto:load' pmodule \
'environment' \
'terminal' \
'rust'... | true |
d83abd7e312db02e48b8c5af39741f787b253185 | Shell | dogonthehorizon/lec-notes | /User_Interface_Design/build | UTF-8 | 269 | 2.515625 | 3 | [] | no_license | #!/bin/sh
for z in chap*.tex;do
y=${z%.tex};
pdflatex -output-directory="../Compiled_Sources/User_Interface_Design/" -jobname=$y "\includeonly{$y}\input{user_interface_design}";
done
rm ../Compiled_Sources/User_Interface_Design/{*.aux,*.log,*.out,*.html}
exit 0
| true |
d188523f31e63d9d53add3249ebd2141e10012ac | Shell | benf/dotfiles | /.config/openbox/scripts/xcompmgr.sh | UTF-8 | 3,083 | 2.9375 | 3 | [] | no_license | #!/bin/bash
# Openbox Pipe Menu for xcompmgr
# Written for CrunchBang Linux <http://crunchbang.org/projects/linux/>
# by Philip Newborough (aka corenominal) <mail@philipnewborough.co.uk>
# Set xcompmgr command options
#EXEC='xcompmgr -c -t-5 -l-5 -r4.2 -o.55' #basic
EXEC='xcompmgr -cCfF -t-5 -l-5 -r4.2 -o.55 -D6' #mor... | true |
26c4108f43cc5d2bd855f7d9d695ba501ae82411 | Shell | lostoli/dotfiles | /zshrc | UTF-8 | 5,936 | 3 | 3 | [] | no_license | # Start configuration added by Zim install {{{
#
# User configuration sourced by interactive shells
#
# -----------------
# Zsh configuration
# -----------------
#
# History
#
# Remove older command from the history if a duplicate is to be added.
setopt HIST_IGNORE_ALL_DUPS
#
# Input/output
#
# Set editor default ... | true |
037dd7b858ecf4a0dc2afb9ec8d33ae32140fec5 | Shell | lshatok/boilerplate | /ansible/roles/wt_users/files/bash_profile | UTF-8 | 2,782 | 3.140625 | 3 | [] | no_license | ## Default Profile for WebTelemetry users
## Export Defaults ##
WT_PATH=/WT
WEBTELEMETRY_PATH=${WT_PATH}/grafana
TELEMETRIX_PATH=${WT_PATH}/influxdb
DASHBOARD_PATH=${WT_PATH}/grafana
WT_PATH=${WT_PATH}/telemetrix
TELEMETRIX_PATH=${WT_PATH}/telemetrix
TELEMETRIX_HOME=${WT_PATH}/telemetrix
APP_ENV=production
JAVA_HOME="... | true |
d6b6b4c460bd50256cd8fdd019a6a5e4f5e05dee | Shell | pct960/iudx-auth-server | /setup.postgresql.openbsd | UTF-8 | 504 | 2.53125 | 3 | [
"MPL-2.0",
"ISC"
] | permissive | #!/bin/sh
cd /var/postgresql
initdb -D /var/postgresql/data/ -U postgres --auth=md5 --encoding=UTF-8 --pwfile=admin.db.password
pg_ctl -D /var/postgresql/data/ -l logfile start
export PGPASSWORD=`cat admin.db.password`
sed -i "s/America/Asia" /var/postgresql/data/postgresql.conf
sed -i "s/Los_Angeles/Kolkata" /var/... | true |
048667f4d9370f4ae226208942aad3f1aeb0f6e2 | Shell | cmspixelpilot/POSOverlay | /jmt/scurve.sh | UTF-8 | 357 | 3.046875 | 3 | [] | no_license | RUN=$1
if [ "$RUN" == "" ]; then
RUN=$(echo $(pwd) | sed 's/.*_//')
if ! [[ $RUN =~ $re ]] ; then
echo "error: need run number" >&2
exit 1
fi
fi
LOGFN=${POS_LOG_DIR}/scurve.run${RUN}.log.gz
echo q | ${BUILD_HOME}/pixel/PixelAnalysisTools/test/bin/linux/x86_64_slc6/PixelAnalysis.exe SCurve $R... | true |
bf7fa745c6b78ba33849f940f7cb1a1f5d8f897c | Shell | TurtleEngr/story-xml | /src/bin/pub-fop-ps.sh | UTF-8 | 1,108 | 3.390625 | 3 | [] | no_license | #!/bin/sh
# $Header: /repo/local.cvs/app/story-xml/src/publishing/pub-fop-ps.sh,v 1.8 2008/06/23 21:42:05 bruce Exp $
if [ $# -lt 3 -a -z "$SERNA_XSL_STYLESHEET" ]; then
cat <<EOF
Usage:
$0 IN.xml STYLE.xsl OUT
or
Env. Var:
\$SERNA_XML_SRCFULLPATH
\$SERNA_XSL_STYLESHEET
\$SERNA_OUTPUT_FILE
$0
EOF
exit 1... | true |
9bec347a92a46943bfecfbd6f98f234e22750128 | Shell | chao-hu/nginxconfig-manager | /deploy/.svn/pristine/9b/9bec347a92a46943bfecfbd6f98f234e22750128.svn-base | UTF-8 | 1,055 | 2.75 | 3 | [] | no_license | #!/usr/bin/expect
cd /tmp/loadbalance-manager
set WEB_HOST [lindex $argv 0]
set USER [lindex $argv 1]
set PASSWORD [lindex $argv 2]
set DATE [lindex $argv 3]
set VERSION [lindex $argv 4]
set timeout -1
#scp
spawn scp deploy/target/nginx-api-${VERSION}.zip $USER@${WEB_HOST}:/dianyi/
expect "password:" {
... | true |
9cd3033f4043d1d3f683b397c8f07936080048c5 | Shell | sample/docker-java-builder | /build.sh | UTF-8 | 3,799 | 3.359375 | 3 | [] | no_license | #!/bin/bash
mkdir -p /build
mkdir -p /target
tar xvf /java/$1 -C /build
JAVA_DIRECTORY=`ls -1 /build`
# Transform jdk1.8.0_60 to 1.8.0.60
JAVA_VERSION=$(echo $JAVA_DIRECTORY | sed -nr 's/([a-zA-Z]+)([0-9])\.([0-9]+)\.([0-9]+)\_([0-9]+).*/\2.\3.\4.\5/p')
JAVA_VARIANT=$(echo $JAVA_DIRECTORY | sed -nr 's/([a-zA-Z]+)[0-... | true |
e89ab804eeede4fed465d3281cb8deabcf64aa36 | Shell | jahhulbert-ccri/cloud-local | /conf/cloud-local.conf | UTF-8 | 1,365 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
#
# Source for packages (accumulo, hadoop, etc)
# Available options are (local, wget)
#
# Set the variable 'pkg_src_mirror' if you want to specify a mirror
# else it will use https://www.apache.org/dyn/closer.cgi to determine
# the fastest mirror
#
# pkg_src_mirror="http://apache.mirrors.tds.net"
... | true |
5465be1db108515b676b5005d9fbe5131077178a | Shell | Liwan31/package | /cp_31.sh | UTF-8 | 4,205 | 3.296875 | 3 | [] | no_license | #!/bin/bash
#只需要在终端中输入 $ sh cp_31.sh + 配置文件地址. 即可打包成ipa
#配置文件目录结构
# |-图标 |-xxx
# |-...
# |-ExportOptions.plist
# |-archive
#工程名
project_name='LotteryShop'
#工程地址
project_path='/Users/gwh/mine/svn/ltshop_trunk/root/LotteryShopWithoutLL'
#31个图标启动图等存放位置 里面是app名字的文件夹 文件夹里放图标 启动图 和额外替换的图
#注意工程中的icon 使用I... | true |
4a428b9354d4a663a727efaa02ebb2e5697635f7 | Shell | cntrump/PDUninstaller | /PDUninstaller.sh | UTF-8 | 6,102 | 3.296875 | 3 | [] | no_license | #!/bin/bash
#
# Script to clean up Parallels Desktop and Parallels Desktop Switch to Mac
# installations starting from version 3.
#
# Use it at your own risk.
#
# Copyright (c) 2004-2014 Parallels IP Holdings GmbH.
# All rights reserved.
# http://www.parallels.com
domain='com.parallels'
apps_path='/Applications/Parall... | true |
05a6e7882101d263224faac4e1505ac51a182ede | Shell | nuxlli/azk_bash | /test/cli/provision.bats | UTF-8 | 7,184 | 3.53125 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bats
load ../test_helper
setup() {
mkdir -p "$AZK_TEST_DIR"
cd "$AZK_TEST_DIR"
mkdir -p "$HOME"
git config --global user.name "Tester"
git config --global user.email "tester@test.local"
}
git_commit() {
command git commit --quiet --allow-empty -m "empty"
}; export -f git_commit
mock_git... | true |
d75a6e7bdbea2df079c9f3bd7dcf13be1988ff66 | Shell | kpk-pl/linux-workspace | /shell/path/retry | UTF-8 | 216 | 3.515625 | 4 | [] | no_license | #!/bin/bash
COUNT=$1
COMMAND=${*:2}
echo "retry command: $COMMAND"
for i in $(seq 1 $COUNT);
do
echo "Attempt $i"
eval $COMMAND
if [ $? -eq 0 ]
then
echo "Success"
exit 0
fi
done
exit 1
| true |
6857a436fa75b647a5be0a9187d28836a4da0cbe | Shell | FauxFaux/debian-control | /o/opennebula/opennebula_4.12.3+dfsg-3.1_amd64/postrm | UTF-8 | 4,912 | 2.75 | 3 | [] | no_license | #!/bin/sh
set -e
ONEHOME=/var/lib/one
ONE_GROUP=oneadmin
ONE_USER=oneadmin
if [ "$1" = "remove" ]; then
# Remove logs
rm -rf /var/log/one/*
fi
if [ "$1" = "purge" ]; then
# purge stats overrides
# stats overrides could already be removed by root
dpkg-statoverride --quiet --remove /var/log/one ||... | true |
f276060348f27735eb7adc441a4c9eec928bc541 | Shell | lululeta2014/mihaib | /forge/mi-hai.appspot.com/build.sh | UTF-8 | 555 | 3.171875 | 3 | [] | no_license | #! /usr/bin/env bash
set -u # exit if using uninitialised variable
set -e # exit if some command in this script fails
trap "echo $0 failed because a command in the script failed" ERR
SCRIPT=`readlink -f "$0"`
DIR=`dirname "$SCRIPT"`
PKG_ROOT='github.com/MihaiB/mihaib/forge/mi-hai.appspot.com/app'
golink --replace... | true |
05b5b69c34cb3d8936b39a78e855d939413389bc | Shell | citizenlee/autoScan | /autoScan.sh | UTF-8 | 458 | 3.03125 | 3 | [] | no_license | #!/bin/bash
scancmd="scanimage -l 0 -t 0 -x 215 -y 297 --resolution 300 --buffer-size=1M --format tiff > "
filenum=0
while true
do
eval "date -u"
echo $filenum
if [ $filenum -lt "10" ];
then
fullscancmd="$scancmd img00$filenum.tiff"
elif [ $filenum -lt 100 ] && [ $filenum -ge 10 ];
then
fullscancmd="$... | true |
41aa94a27231acc53a1527f6670662c6f6baaf54 | Shell | pentchomakov/SchoolProjects | /Python&C/C - Project 1/q3_image_sorter.sh | UTF-8 | 262 | 2.953125 | 3 | [] | no_license | #Pentcho Tchomakov 260632861
if [ ! -d "$1" ]; then
echo "The specified directory does not exist"
exit
fi
filename="$1"".jpg"
>$filename
for file in `find $1 -type f -print|xargs ls -t`
do
convert $file $filename -append $filename
done
display ./ $filename
| true |
79f2cca7dc4883e22589e36beb5425355e16764a | Shell | orland0m/bashrc | /bootstrap.sh | UTF-8 | 395 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
TARGET_BASHRC=~/.bashrc
INSTALLER_FILE=rc_install.sh
if [ -f "$TARGET_BASHRC" ]; then
BACKUP="$TARGET_BASHRC.back.$RANDOM"
echo "Current $TARGET_BASHRC will be backed up in $BACKUP"
cp $TARGET_BASHRC $BACKUP
echo "Removing $TARGET_BASHRC"
rm $TARGET_BASHRC
fi
printf "#!/usr/bi... | true |
1e35c08819b54ee22f243a6aff92031add400192 | Shell | nemuTUI/nemu | /sh/ntty | UTF-8 | 549 | 2.828125 | 3 | [
"BSD-2-Clause"
] | permissive | #!/bin/sh
tty_id="${1:-0}"
ntty_dev="/tmp/ntty${tty_id}"
ntty_pid="/tmp/ntty${tty_id}.pid"
ntty_log="/tmp/ntty${tty_id}.log"
stty_dev="/tmp/stty${tty_id}"
stty_pty="pty,raw,link=${stty_dev},echo=0"
set -x
socat="/usr/bin/socat"
socat_args="${ntty_dev} ${stty_pty}"
picocom="/usr/bin/picocom"
start-stop-daemon -Sb -mp ... | true |
9b6208af62495603adb91bb667b68bccfe64f8ea | Shell | mahuagaming/scue_kitchen | /linkscue-scripts/menu_scripts/menu_advance_bootimg.sh | UTF-8 | 1,984 | 3.40625 | 3 | [] | no_license | #!/bin/bash
#self
script_self=$(readlink -f $0)
#dir
TOPDIR=${script_self%/linkscue-scripts/menu_scripts/menu_advance_bootimg.sh}
scripts_dir=$TOPDIR/linkscue-scripts
sub_menu_dir=$scripts_dir/menu_scripts
dir_bootimg=$scripts_dir/bootimg-scripts-advance
bootimg_mtk_dir=$scripts_dir/bootimg-scripts-mtk
bootimg1=$scri... | true |
8533aa4747a6e410929cf0a9aaac49480fe07c74 | Shell | rushikantaria/cmdbasicCommand | /filefolder.sh | UTF-8 | 392 | 3.140625 | 3 | [] | no_license | #!/bin/bash
# to display files and directoy folders from current directory
echo ******files********
echo
ls *
echo
echo ******directory********
echo
for item in *
do
if [ -d $item ];
then
echo $item
fi
done
echo
echo ******size*******
echo
du -sh ./*
echo
echo ******content of text-file******
echo
cat react.... | true |
265628ab25ca4e45cafb1e2ea11638b1fd5e54b3 | Shell | Menooker/dgl | /tests/scripts/task_kg_test.sh | UTF-8 | 4,637 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
. /opt/conda/etc/profile.d/conda.sh
KG_DIR="./apps/kg/"
function fail {
echo FAIL: $@
exit -1
}
function usage {
echo "Usage: $0 backend device"
}
# check arguments
if [ $# -ne 2 ]; then
usage
fail "Error: must specify device and bakend"
fi
if [ "$2" == "cpu" ]; then
dev=-1
elif ... | true |
7b3b9eddb7e021d40ca37cc4f133a2d9a16717fc | Shell | Jintian/linux.env.setting | /ssh/sshx | UTF-8 | 3,506 | 3.96875 | 4 | [] | no_license | #!/bin/bash
SSH_HOME=$HOME/.ssh
SSHX_HOME=$HOME/.sshx
SSHX_REGISTRY=$SSHX_HOME/sites
unamestr=`uname`
SED_OPT="-r"
if [[ "$unamestr" == 'Darwin' ]]; then
SED_OPT="-E"
fi
mkdir $SSHX_HOME 2> /dev/null
function loadentry {
echo Loading ssh logging info from history...
grep -i -E "ssh\s+[a-zA-Z0-9_@]+[a-zA-Z0-9\.]+$"... | true |
edf826acc8670aedbf99856b871e5b8ec860c7b7 | Shell | mfuery/edumotion | /UnityProject/Assets/Editor/PostprocessBuildPlayer | UTF-8 | 420 | 2.75 | 3 | [] | no_license | #!/bin/sh
echo "Preparing stage for building Unity Android App"
UNITY_STAGE="Temp/StagingArea"
UNITY_PLAYER_FOLDER="UnityPlayer"
ANDROID_PROJECT="AndroidBGProject"
cp -R "$UNITY_STAGE"/ "$UNITY_PLAYER_FOLDER"
cp -R "$UNITY_STAGE"/assets "$ANDROID_PROJECT"
cp -R "$UNITY_STAGE"/res/values "$ANDROID_PROJECT"/res/
cp -R "... | true |
e4914a16f6279e567e4a65d167658a67d45c4523 | Shell | EctoPLSM/wpc-unofficial.org | /src/bash/countries_code.sh | UTF-8 | 286 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# arguments:
# $1: country code to be created
# $2: previous country code if exists, "" otherwise
# $3: next country code if exists, "" otherwise
echo "Creating countries/$1"
mkdir -p ../countries/$1
./countries_code_index.sh $1 $2 $3
./countries_code_individual.sh $1 $2 $3 | true |
b40d06e01e6525d0dce7ec1bfb9375350a5e515b | Shell | sridharatv/devopsdemo | /loop.sh | UTF-8 | 245 | 3.109375 | 3 | [] | no_license | #!/bin/bash
echo "this is a loop shell script"
# we need to add a graceful exit
c=0
while $true
do
c=`expr $c + 1`
echo $RANDOM
sleep 2
if [ $c -eq 20 ]; then
break
fi
done
echo "done"
# This change was made after we created a branch
| true |
cb35eb6718872b6a85b68698599bdd33f1f03e5e | Shell | obreitwi/vim-sort-folds | /test/run.sh | UTF-8 | 782 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -euo pipefail
if (( $# < 1 )); then
echo "Usage: $0 <testcase_directory>..." >&2
exit 1
fi
while (( $# > 0 )); do
dir_testcase="${1}"
shift
version_info="[$EDITOR/$(python --version)]"
echo "${version_info} Testing ${dir_testcase}.." >&2
file_cmd="${dir_testcase}/comman... | true |
86451f68d79940d21e348bee6ce5f63e525a082f | Shell | ligadata-yasser/Kamanja | /trunk/SampleApplication/EasyInstall/easyInstallKamanja.sh | UTF-8 | 45,698 | 3.609375 | 4 | [
"Apache-2.0",
"MIT",
"BSD-3-Clause",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -e
installPath=$1
srcPath=$2
ivyPath=$3
KafkaRootDir=$4
if [ ! -d "$installPath" ]; then
echo "Not valid install path supplied. It should be a directory that can be written to and whose current content is of no value (will be overwritten) "
echo "$0 <install path> <src tree trunk dir... | true |
b845d143a58082f2f0f8096174342f6b40ea07b6 | Shell | Tommoa/tectonic-fontawesome-action | /entrypoint.sh | UTF-8 | 134 | 2.578125 | 3 | [] | no_license | #!/usr/bin/env bash
set -e
echo "Compiling $1"
tectonic -k -r0 $1
set +e
biber $(dirname $1)/$(basename $1 .tex)
set -e
tectonic $1
| true |
e2da107e786c9587cc333fb510639e8ee66666dd | Shell | c3r/pdf-metadata-script | /books.sh | UTF-8 | 6,955 | 4.125 | 4 | [] | no_license | #!/bin/bash
# Global preferences
# ------------------
CHECK_RUN=false # You would want to have this set to 'true' at first and make a test run before changing production data
IFS=';' # Delimiter in the CSV file
DIVIDER='-' # Change whitespace in to this divider
# Enable checking ... | true |
fed7a1d4bde49896335559df7a68851650d6bfd6 | Shell | NuTufts/ubresnet | /weights/ssnet2018caffe/copy_data.sh | UTF-8 | 411 | 2.59375 | 3 | [] | no_license | #!/bin/bash
# Copy data from remote computer.
# Note, it is recommented to use the make_link.sh script if at all possible.
# set username of remote computer
username=`whoami`
#username="override"
# On Meitner
SSNET_WEIGHT_DIR="/media/hdd1/larbys/ssnet_model_weights/"
scp ${username}@130.64.84.151:${SSNET_WEIGHT_DIR... | true |
5112f29e0aff70b6c9b60c71a8776efc641dc1b4 | Shell | acdlite/bash-dotfiles | /.bashrc | UTF-8 | 148 | 2.65625 | 3 | [
"MIT"
] | permissive | [ -n "$PS1" ] && source ~/.bash_profile
# This loads RVM into a shell session.
[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" | true |
62a666c994ba372ed7d45e262cf75bfb4b1cc060 | Shell | vhernandomartin/ocp4-ipibm-acm-ztp | /01_create_spoke_vms_OCP3M.sh | UTF-8 | 5,994 | 3.125 | 3 | [] | no_license | #!/bin/bash
NET_TYPE=ipv6 # Set this var accordingly -> ipv4/ipv6
SPOKEVMS=(spoke1-master-1 spoke1-master-2 spoke1-master-3)
NETWORK=lab-spoke
CLUSTER_NAME=mgmt-spoke1
DOMAIN=example.com
INSTALLER_VM=ipibm-installer
OCP_PARENT_DOMAIN=lab.example.com
SPOKE_CIDR_IPV4=192.168.120.1/24
SPOKE_IPV4_IPROUTE=192.168.120.1
S... | true |
ce9817c87e35542b14ad2c0834f2b11c72af5c36 | Shell | mcclurmc/dissertation | /bin/recordcount.sh | UTF-8 | 330 | 3.609375 | 4 | [] | no_license | #!/bin/bash
# Use texcount to get the total word count (sum of text and headers),
# and append it to a file with the date.
DATE=`date "+%Y-%m-%d"`
WORDS=`texcount -sum -merge $1 2> /dev/null| grep "Sum count" | awk '{ print $3 }'`
PAGES=`pdfinfo -meta $2 | grep "Pages" | awk '{ print $2 }'`
echo "${DATE} ${WORDS} ... | true |
5c10db9f489b17a09903fff99269e5cdb7b96df4 | Shell | awslabs/one-line-scan | /regression/compilation/faulty-input/run.sh | UTF-8 | 518 | 3.46875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# execute failed build, check whether faulty output is present
if ! command -v goto-cc &> /dev/null
then
echo "warning: did not find goto-cc, skip test"
exit 0
fi
# clean up directory first
make clean
# make sure we run on a clean environment (otherwise we fail with "SP" exists)
rm -rf SP
../../../on... | true |
06dc39cc6fb68cf9487ab211fca7944688290625 | Shell | teja624/home | /.zsh/modules/aws/lib/sh/api/iam/service_linked_role_create.sh | UTF-8 | 184 | 2.8125 | 3 | [
"Apache-2.0"
] | permissive | aws_iam_service_linked_role_create() {
local aws_service_name="$1"
shift 1
cond_log_and_run aws iam create-service-linked-role --aws-service-name $aws_service_name "$@"
}
| true |
e998283fb98956be227550c7494b0bc4446457b1 | Shell | dals/mongo-conf | /etc/init.d/mongod.centos | UTF-8 | 1,050 | 3.65625 | 4 | [] | no_license | #!/bin/bash
# init script for mongodb
# chkconfig: 2345 70 11
# description: mongod
# processname: mongod
# pidfile: /var/run/mongodb.pid
# Source function library.
. /etc/rc.d/init.d/functions
RETVAL=0
pidfile=/var/run/mongodb.pid
exec="/usr/local/bin/mongod"
prog="mongod"
config="/etc/mongodb.conf"
lockf... | true |
ae53723ef92724154c8a244c70a1d696160def88 | Shell | iatanasov77/vs-devops-server | /examples/Packer/scripts/provision.sh | UTF-8 | 562 | 2.8125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Iinstall EPEL, kernel, gcc, etc.
yum install -y epel-release kernel-devel gcc make tar bzip2 wget elfutils-libelf-devel
# Install VirtualBox add-ons
mount $(ls /home/vagrant/VBoxGuestAdditions*.iso) /mnt
/mnt/VBoxLinuxAdditions.run
usermod -aG vboxsf vagrant
# Prepare the insecure key
mkdir -m 0700 -p ... | true |
fe87249a9ba97f33e523c6e878491b8a27ac5280 | Shell | cloudbase/openstack-hyperv-release-tests | /reboot-win-host.sh | UTF-8 | 210 | 3.5625 | 4 | [] | no_license | #!/bin/bash
set -e
BASEDIR=$(dirname $0)
. $BASEDIR/utils.sh
host=$1
win_user=Administrator
win_password=Passw0rd
if [ -z "$host" ]; then
echo "Usage: $0 <host>"
exit 1
fi
reboot_win_host $host
| true |
7c6f2dc3ebba0c5b2fde682a42e653c672e1c550 | Shell | SiteMindOpen/SiteMind | /sitemind-admin/sm-user-new.sh | UTF-8 | 1,393 | 3.609375 | 4 | [] | no_license | #!/bin/bash
## F U N C T I O N S
create_user(){
PASSWORD=$(openssl rand -base64 20);
htpasswd -bB /etc/apache2/.htpasswd "$USERNAME" "$PASSWORD";
echo -e "Your password is $PASSWORD";
}
backup(){
TIMESTAMP=$(date +'%s')
cp /etc/apache2/sites-available/000-default-le-ssl.conf /tmp/000-default-le-ssl-"$TIMESTAM... | true |
a7d5ab1416cc41822f4dd3cd3a31aff62145ab56 | Shell | chunfuchang/settings | /bin/findbom | UTF-8 | 475 | 3.921875 | 4 | [] | no_license | #!/bin/bash
#
# Tom M. Yeh
# Copyright (C) Potix Corporation. All Rights Reserved.
if [ "$1" = "" ] ; then
echo "Use:"
echo " findbom dir1 dir2"
echo " findbom *"
exit 1
fi
function dofind {
if [ "$(od -x -N 8 $1 | grep bbef)" != "" ] ; then
echo "$(pwd)/$1"
fi
}
function dodir {
for f in $* ; do
if [ -... | true |
c97ede52d76f80121d0bc64c8f693ec4788d0880 | Shell | shyim/shopware-docker | /modules/platform/config-set.sh | UTF-8 | 149 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
checkParameter
cd "${SHOPWARE_FOLDER}" || exit 1
shift 2
FILE="config/packages/swdc.yml"
touch "$FILE"
yq e -i "$1" "$FILE" | true |
6a0c038c6e155782c75557ecfa244ac9ab58254c | Shell | peter-m-shi/ztool | /gitz/traverse_tags.sh | UTF-8 | 380 | 2.90625 | 3 | [
"MIT"
] | permissive | #!/bin/sh
git tag > tag_list.txt
while read line;
do
echo $line;
git clean . -df
git checkout .
git checkout $line
find . -name "*.a" > $HOME/Downloads/result/$line.a.txt
find . -name "*.framework" >> $HOME/Downloads/result/$line.f.txt
find . -name "*.m" >> $HOME/Downloads/result/$line.m.txt
find . -name "*.... | true |
504c83a60e6ccbb6a864407460338dd40f28cd57 | Shell | gspu/bitkeeper | /src/crank.sh | UTF-8 | 2,162 | 3.328125 | 3 | [
"Apache-2.0",
"GPL-2.0-only",
"LicenseRef-scancode-public-domain",
"LicenseRef-scancode-free-unknown"
] | permissive | #!/bin/bash
# Copyright 2000-2003,2011,2014-2016 BitMover, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applic... | true |
c7482f206ad1bf17780bc11a9786fedba73902dc | Shell | cute-aaa/k8sImageDownload | /getK8sImages.sh | UTF-8 | 6,560 | 2.953125 | 3 | [] | no_license | #!/bin/bash
# 环境:https://www.katacoda.com/courses/ubuntu/playground
# 也可以直接在配置好的环境下载镜像:
# https://www.katacoda.com/courses/kubernetes/launch-single-node-cluster
# 不过版本需要变更一下
#包管理程序
PKG_MANAGER="apt"
#镜像总数
imageNum=24
#核心镜像版本
K8S_VERSION="v1.15.1"
COREDNS_VERSION="1.3.1"
ETCD_VERSION="3.3.10"
PAUSE_... | true |
93fe578f537aa0475d48db15598baa9db1e6193d | Shell | prithachanana12/FHCRC | /virScan/generateLib.sh | UTF-8 | 929 | 3.09375 | 3 | [] | no_license | #!/bin/bash
#generate counts from new input/library sample, this will only have to be done once and these input counts can be used for future experiments
#do this from the command line on rhino
module load bowtie/1.1.1
sampleName=library_July_2019
PATH=/home/solexa/apps/samtools/samtools-1.3.1:/home/solexa/apps/anacon... | true |
dabf2d85d08951e6169bc8ac22d9c46ad29058b1 | Shell | song10/bin | /patch_etc_hosts.sh | UTF-8 | 238 | 3.3125 | 3 | [] | no_license | #!/bin/sh
DATA="$(dirname "$0")/.patch_etc_hosts.dat"
if [ -n "$1" ]; then
DATA="$1"
shift
fi
if [ ! -f "$DATA" ]; then
echo "'$DATA' not found! Abort."
exit 1
fi
sudo sh -c "cat \"$DATA\" >> /etc/hosts"
tail /etc/hosts
| true |
97bad9ecc9e6b0d77cb5ab10c8a18e64e74ae1d4 | Shell | mikejzx/dotfiles | /.xinitrc | UTF-8 | 911 | 2.90625 | 3 | [] | no_license | #!/bin/sh
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap
# Merge in defaults and keymaps
[ -f $sysresources ] && xrdb -merge $sysresources
[ -f $sysmodmap ] && xmodmap $sysmodmap
[ -f "$userresources" ] && xrdb -merge "$userresources... | true |
7e620a64d5e9e380cd3c30c228d0a8c394c1860b | Shell | cyberlooper/OpenFLIXR2.OnlineUpdate | /scripts/l_update_12 | UTF-8 | 3,970 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
THISUSER=$(whoami)
if [ $THISUSER != 'root' ]
then
echo 'You must use sudo to run this script, sorry!'
exit 1
fi
exec 1> >(tee -a /var/log/openflixrupdate/l_update_12.log) 2>&1
TODAY=$(date)
echo "-----------------------------------------------------"
echo "Date: ... | true |
db71d4b02dd5a3f055fd2b715e54bca33f7dd209 | Shell | bgsa/spectrum-engine | /vendor/build-opencl-linux.sh | UTF-8 | 1,611 | 3.484375 | 3 | [] | no_license | #!/bin/bash
set echo off
export BUILD_DIR=OpenCL-ICD-Loader/build
export OUTPUT_DIR_32=../../lib/x86
export OUTPUT_DIR_64=../../lib/x86_64
export HEADER_DIR=$(pwd)/OpenCL-Headers
export BUILD_TYPE=Release
create_dir()
{
if [ ! -d "$1" ]; then
mkdir -p "$1"
fi
}
clear_build_dir()
{
if [ -d $BUILD_DIR ]; then
r... | true |
b0a36713fa4d58e7b8dc1d06d4b5a5404f4214a3 | Shell | RishiDesai/BioFabric | /releaseTools/buildWindowsExeStep1.sh | UTF-8 | 240 | 2.515625 | 3 | [] | no_license | # /bin/sh
EXEHOME=$1
RESHOME=$2
LAUNCH4J_HOME=$3
L4J_WORKING=$EXEHOME/bioFabl4jWorking.xml
VERCOMP=$4
CURRYEAR=$5
SC_HOME=$6
KEY_HOME=$7
echo $EXEHOME
echo $L4J_WORKING
cat $L4J_WORKING
java -jar $LAUNCH4J_HOME/launch4j.jar $L4J_WORKING
| true |
3c365c5bbde7f4c8691b40aa68c9a7d5c2ce7333 | Shell | dergigi/raspiblitz | /home.admin/config.scripts/bonus.lndconnect.sh | UTF-8 | 7,085 | 3.578125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# command info
if [ $# -eq 0 ] || [ "$1" = "-h" ] || [ "$1" = "-help" ]; then
echo "# config script to connect mobile apps with lnd connect"
echo "# will autodetect dyndns, sshtunnel or TOR"
echo "# bonus.lndconnect.sh [zap-ios|zap-android|zeus-ios|zeus-android|shango-ios|shango-android] [?ip|tor]"
exi... | true |
0533133b50e0c280b48740a66d15d2f965924f2c | Shell | plantenos/plan10-packages | /common/pkginst-src/libexec/pkginst-src-dopatch.sh | UTF-8 | 742 | 3.625 | 4 | [
"BSD-2-Clause"
] | permissive | #!/bin/bash
#
# vim: set ts=4 sw=4 et:
#
# Passed arguments:
# $1 - pkgname [REQUIRED]
# $2 - cross target [OPTIONAL]
if [ $# -lt 1 -o $# -gt 2 ]; then
echo "${0##*/}: invalid number of arguments: pkgname [cross-target]"
exit 1
fi
PKGNAME="$1"
PKGINST_CROSS_BUILD="$2"
for f in $PKGINST_SHUTILSDIR/*.sh; do
... | true |
6b4d2ef0b4a820e706c31e5c6017145f05874760 | Shell | forkdump/wikitopics | /src/batch/serif.sh | UTF-8 | 2,599 | 3.5625 | 4 | [] | no_license | #$ -N serif
#$ -S /bin/bash
#$ -j y
#$ -cwd
#$ -V
#$ -o /home/hltcoe/bahn/log/grid
#$ -l h_vmem=4G
echo serif.sh $* >&2
if [ "$WIKITOPICS" == "" ]; then
echo "Set the WIKITOPICS environment variable first." >&2
exit 1
fi
if [ "$1" == "--dry-run" ]; then
DRYRUN=1
shift
fi
if [ $# -lt 1 ]; then
echo "Usage: $0 [-... | true |
4e560d4a7dae181d6256e146f1ee71f5cd38d7d3 | Shell | IBM-Cloud/vpc-tutorials | /vpc-snapshot/terraform/user_data.sh | UTF-8 | 1,469 | 3.953125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -x
sleep 60; # disks may not be mounted yet.... TODO
# step through the disks in /dev/disk/by-id and find just the data (unformatted) disks
# partition, make a file system, mount, add uuid to fstab, add a version.txt file
cd /dev/disk/by-id
for symlink in $(ls -1 virtio-* |sed -e /-part/d -e /-cloud-i... | true |
a59253f9931319499489e389d73bc50e6fd5422f | Shell | oda-hub/oda-runner-bootstrap | /runner.sh | UTF-8 | 2,158 | 3.203125 | 3 | [] | no_license | #!/bin/bash
export ODAHUB=https://dqueue.staging-1-3.odahub.io@queue-osa11
function container() {
args=$@
echo -e "\033[33msingularity image origin:\033[0m ${IMAGE_ORIGIN:="https://www.isdc.unige.ch/~savchenk/singularity/odahub_dda_db22be8-2020-07-18-2b9b737e0fb6.sif"}"
echo -e "\033[33m local dat... | true |
e36befe8969af60e9048493a37a7f08c1e8678f6 | Shell | wilcashe/graph_dump | /scripts/dump_ploss.sh | UTF-8 | 1,528 | 3.375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
echo "-------------------------------"
echo "dump_ploss.sh: Calculando Packet Loss"
working_folder=$1
output_folder=$2
PLoss_file="${working_folder}PackLoss.txt"
trafico_host_1_ordenado="${working_folder}trafico_host_1_ordenado"
trafico_server_1_ordenado="${working_folder}trafico_server_1_ordenado"
#Se ... | true |
f6822ceb81df1033bcccf70946ca008152e80e81 | Shell | alme197112/scripts | /addScripts.sh | UTF-8 | 838 | 3.765625 | 4 | [
"WTFPL"
] | permissive | #!/usr/bin/env bash
set -ex
: ${MYSCRPITS:=${HOME}/scripts}
function ifInstall() {
if [ ! -z "$(which apt-get)" ]
then
if [ -z $(which ${1}) ]
then
apt-get -q -y install ${1}
fi
fi
}
ifInstall jq
ifInstall vim
ifInstall git
[[ -z $(which git) ]] && echo You need git ... | true |
e9ef724f6984eddb63798e207bcb0bcde6c0120f | Shell | dmayilyan/configs | /.dwm/autostart.sh | UTF-8 | 267 | 3.234375 | 3 | [] | no_license | #! /bin/bash
mem(){
mem=`/bin/cat /proc/meminfo | grep -w MemFree | awk '{printf "%.0f MB", $2/1024.0}'`
echo "Free mem: $mem"
}
dt(){
dt=$(date +'%a %d %b %H:%M')
echo "$dt"
}
nitrogen --restore &
while true; do
xsetroot -name "$(mem) $(dt)"
sleep 1
done &
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.